Bug 860405 - Video with nVidia Corporation G73 [GeForce 7300 GT] does not come back after suspend
Video with nVidia Corporation G73 [GeForce 7300 GT] does not come back after ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 14:28 EDT by Michele Baldessari
Modified: 2014-09-13 15:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 13:08:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dmesg (322.78 KB, text/plain)
2012-09-25 14:29 EDT, Michele Baldessari
no flags Details
vbios rom file (42.68 KB, application/x-gzip)
2012-09-25 14:30 EDT, Michele Baldessari
no flags Details

  None (edit)
Description Michele Baldessari 2012-09-25 14:28:32 EDT
Hi,

$card is in subject. Here is my hw profile:
http://www.smolts.org/client/show/pub_89fb4758-ba50-4962-9f00-d6533acbfcbd

Kernel is: 3.6.0-0.rc6.git0.2.fc18.i686.PAE #1 SMP 

I added log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x0200 to my boot parameters and here is what I get after a suspend/resume cycle (full dmesg attached together with the vrom.bios file from debugfs).
Machine still works but screen stays black:
[  164.924527] PM: resume of devices complete after 61367.147 msecs
[  164.925767] PM: resume devices took 61.368 seconds
[  164.925768] ------------[ cut here ]------------
[  164.925775] WARNING: at kernel/power/suspend_test.c:53 suspend_test_finish+0x8c/0x90()
[  164.925776] Hardware name: iMac6,1
[  164.925777] Component: resume devices, time: 61368
[  164.925828] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle lockd bnep sunrpc bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack snd_hda_code
c_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt isight_firmware iTCO_vendor_support b43 bcma mac80211 snd_page_alloc cfg80211 rfkill applesmc snd_timer lpc_ich coretemp input_polldev mfd_core microcode snd ssb sky2 i2c_i801 soundcore mmc_core apple_bl vhost_net tun macvtap mac
vlan kvm_intel kvm binfmt_misc uinput firewire_ohci nouveau mxm_wmi firewire_core wmi crc_itu_t i2c_algo_bit drm_kms_helper ttm drm i2c_core video
[  164.925831] Pid: 1232, comm: pm-suspend Not tainted 3.6.0-0.rc6.git0.2.fc18.i686.PAE #1
[  164.925832] Call Trace:
[  164.925837]  [<c04545a2>] warn_slowpath_common+0x72/0xa0
[  164.925840]  [<c04a50ec>] ? suspend_test_finish+0x8c/0x90
[  164.925843]  [<c04a50ec>] ? suspend_test_finish+0x8c/0x90
[  164.925846]  [<c0454673>] warn_slowpath_fmt+0x33/0x40
[  164.925849]  [<c04a50ec>] suspend_test_finish+0x8c/0x90
[  164.925852]  [<c04a4a9f>] suspend_devices_and_enter+0xbf/0x440
[  164.925854]  [<c04a4fa3>] pm_suspend+0x183/0x220
[  164.925857]  [<c04a3cbd>] state_store+0x5d/0xb0
[  164.925860]  [<c04a3c60>] ? pm_trace_dev_match_show+0x20/0x20
[  164.925864]  [<c06d554b>] kobj_attr_store+0x1b/0x30
[  164.925868]  [<c05f1f33>] sysfs_write_file+0xa3/0x100
[  164.925871]  [<c05f1e90>] ? sysfs_schedule_callback_work+0x50/0x50
[  164.925874]  [<c05899cc>] vfs_write+0x8c/0x160
[  164.925877]  [<c05f1e90>] ? sysfs_schedule_callback_work+0x50/0x50
[  164.925879]  [<c0589cad>] sys_write+0x3d/0x70
[  164.925884]  [<c0a2675f>] sysenter_do_call+0x12/0x38
[  164.925886] ---[ end trace 2f2285cb4817433e ]---
[  165.136698] PM: Finishing wakeup.
[  165.136701] Restarting tasks ... done.
[  165.147325] video LNXVIDEO:00: Restoring backlight state
[  165.150638] [drm:drm_crtc_helper_set_config], 
[  165.150641] [drm:drm_crtc_helper_set_config], [CRTC:9] [FB:50] #connectors=1 (x y) (0 0)
[  165.150870] [drm:drm_crtc_helper_set_config], [CONNECTOR:13:LVDS-1] to [CRTC:9]
[  177.193773] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[  178.492209] [drm:output_poll_execute], [CONNECTOR:15:DVI-I-1] status updated from 2 to 2
[  178.492216] [drm:output_poll_execute], [CONNECTOR:17:TV-1] status updated from 2 to 2
[  191.349557] BUG: soft lockup - CPU#1 stuck for 23s! [kworker/1:0:11]
[  191.349595] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle lockd bnep sunrpc bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack snd_hda_code
c_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt isight_firmware iTCO_vendor_support b43 bcma mac80211 snd_page_alloc cfg80211 rfkill applesmc snd_timer lpc_ich coretemp input_polldev mfd_core microcode snd ssb sky2 i2c_i801 soundcore mmc_core apple_bl vhost_net tun macvtap mac
vlan kvm_intel kvm binfmt_misc uinput firewire_ohci nouveau mxm_wmi firewire_core wmi crc_itu_t i2c_algo_bit drm_kms_helper ttm drm i2c_core video
[  191.349596] irq event stamp: 88713
[  191.349604] hardirqs last  enabled at (88712): [<c0a1ef76>] _raw_spin_unlock_irqrestore+0x36/0x70
[  191.349607] hardirqs last disabled at (88713): [<c0a1f5eb>] apic_timer_interrupt+0x2f/0x3c
[  191.349611] softirqs last  enabled at (88690): [<c045e0d0>] __do_softirq+0x120/0x350
[  191.349615] softirqs last disabled at (88693): [<c0418b85>] do_softirq+0xa5/0x100
[  191.349619] Pid: 11, comm: kworker/1:0 Tainted: G        W    3.6.0-0.rc6.git0.2.fc18.i686.PAE #1 Apple Computer, Inc. iMac6,1/Mac-F4218FC8
[  191.349620] EIP: 0060:[<c0a1ef7a>] EFLAGS: 00000296 CPU: 1
[  191.349622] EIP is at _raw_spin_unlock_irqrestore+0x3a/0x70
[  191.349624] EAX: 00000296 EBX: 00000296 ECX: 00000002 EDX: f396db1c
[  191.349625] ESI: f601ebb0 EDI: 00000000 EBP: f397df00 ESP: f397def8
[  191.349626]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[  191.349627] CR0: 8005003b CR2: b9361974 CR3: 29e9d000 CR4: 000007f0
[  191.349629] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[  191.349630] DR6: ffff0ff0 DR7: 00000400
[  191.349631] Process kworker/1:0 (pid: 11, ti=f397c000 task=f396d640 task.ti=f3964000)
[  191.349632] Stack:
[  191.349636]  f601eb68 00000000 f397df2c c0855ab8 00000296 f601ebb0 f397df3a 0000080a
[  191.349640]  f601ea30 0097df54 f601ea30 f601eaa0 f3970000 f397df4c c0830845 c0465dc5
[  191.349644]  00000000 00000246 c0831090 f601eaa0 f3970000 f397df54 c083109d f397dfb8
[  191.349645] Call Trace:
[  191.349650]  [<c0855ab8>] uhci_hub_status_data+0x58/0x200
[  191.349654]  [<c0830845>] usb_hcd_poll_rh_status+0x45/0x130
[  191.349657]  [<c0465dc5>] ? run_timer_softirq+0xe5/0x560
[  191.349659]  [<c0831090>] ? usb_add_hcd+0x760/0x760
[  191.349662]  [<c083109d>] rh_timer_func+0xd/0x10
[  191.349664]  [<c0465e38>] run_timer_softirq+0x158/0x560
[  191.349666]  [<c0465dc5>] ? run_timer_softirq+0xe5/0x560
[  191.349668]  [<c0831090>] ? usb_add_hcd+0x760/0x760
[  191.349671]  [<c045e063>] __do_softirq+0xb3/0x350
[  191.349673]  [<c045dfb0>] ? local_bh_enable_ip+0xd0/0xd0
[  191.349675]  <IRQ> 
[  191.349677]  [<c045e5c5>] ? irq_exit+0xb5/0xc0
[  191.349680]  [<c0439b3e>] ? smp_apic_timer_interrupt+0x5e/0x90
[  191.349684]  [<c06dfc68>] ? trace_hardirqs_off_thunk+0xc/0x14
[  191.349686]  [<c0a1f5f2>] ? apic_timer_interrupt+0x36/0x3c
[  191.349700]  [<c071007b>] ? pciehp_sysfs_enable_slot+0x9b/0x100
[  191.349703]  [<c0a100d8>] ? acpi_processor_power_init+0xca/0x15b
[  191.349705]  [<c06e4cba>] ? iowrite8+0x3a/0x40
[  191.349726]  [<f8515f4e>] ? nouveau_hw_load_state_palette+0x8e/0xd0 [nouveau]
[  191.349747]  [<f8581c4c>] ? nv_crtc_gamma_load+0x7c/0x90 [nouveau]
[  191.349756]  [<f8381217>] ? drm_fb_helper_setcmap+0x1c7/0x2f0 [drm_kms_helper]
[  191.349760]  [<c0729561>] ? fbcon_switch+0x3e1/0x580
[  191.349767]  [<c071ea40>] ? fb_set_cmap+0x60/0x120
[  191.349769]  [<c07267c3>] ? fbcon_set_palette+0x143/0x170
[  191.349773]  [<c07994b6>] ? set_palette+0x36/0x60
[  191.349775]  [<c0799d67>] ? redraw_screen+0x137/0x1f0
[  191.349778]  [<c0791bae>] ? complete_change_console+0x3e/0xf0
[  191.349780]  [<c0792ea2>] ? change_console+0x52/0x90
[  191.349782]  [<c079c14d>] ? console_callback+0xad/0x120
[  191.349785]  [<c0475513>] ? process_one_work+0x1c3/0x630
[  191.349787]  [<c047549a>] ? process_one_work+0x14a/0x630
[  191.349789]  [<c079c0a0>] ? poke_blanked_console+0xd0/0xd0
[  191.349792]  [<c0475c91>] ? worker_thread+0x111/0x3b0
[  191.349794]  [<c04bc8fb>] ? trace_hardirqs_on+0xb/0x10
[  191.349797]  [<c047b7d0>] ? wake_up_bit+0x30/0x30
[  191.349799]  [<c0475b80>] ? rescuer_thread+0x1d0/0x1d0
[  191.349801]  [<c047ad9d>] ? kthread+0x7d/0x90
[  191.349804]  [<c047ad20>] ? __init_kthread_worker+0x60/0x60
[  191.349807]  [<c0a26d42>] ? kernel_thread_helper+0x6/0x10
[  191.349832] Code: 66 90 8b 4d 04 89 c6 89 d3 8d 40 10 ba 01 00 00 00 e8 ab cc a9 ff 89 f0 e8 24 6c cc ff f6 c7 02 74 27 e8 7a d9 a9 ff 89 d8 50 9d <66> 66 66 90 89 e0 25 00 e0 ff ff 83 68 14 01 8b 5d f8 8b 75 fc
[  191.627990] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[  193.759035] [drm:output_poll_execute], [CONNECTOR:15:DVI-I-1] status updated from 2 to 2
[  193.759042] [drm:output_poll_execute], [CONNECTOR:17:TV-1] status updated from 2 to 2
[  193.834041] [drm:drm_crtc_helper_set_config], 
[  193.834044] [drm:drm_crtc_helper_set_config], [CRTC:9] [FB:50] #connectors=1 (x y) (0 0)
[  193.834299] [drm:drm_crtc_helper_set_config], [CONNECTOR:13:LVDS-1] to [CRTC:9]
[  209.849703] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[  219.312917] BUG: soft lockup - CPU#1 stuck for 23s! [99video:1529]
[  219.312955] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle lockd bnep sunrpc bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack snd_hda_code
c_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt isight_firmware iTCO_vendor_support b43 bcma mac80211 snd_page_alloc cfg80211 rfkill applesmc snd_timer lpc_ich coretemp input_polldev mfd_core microcode snd ssb sky2 i2c_i801 soundcore mmc_core apple_bl vhost_net tun macvtap mac
vlan kvm_intel kvm binfmt_misc uinput firewire_ohci nouveau mxm_wmi firewire_core wmi crc_itu_t i2c_algo_bit drm_kms_helper ttm drm i2c_core video
[  219.312956] irq event stamp: 18769
[  219.312964] hardirqs last  enabled at (18768): [<c0a1ef76>] _raw_spin_unlock_irqrestore+0x36/0x70
[  219.312967] hardirqs last disabled at (18769): [<c0a1f5eb>] apic_timer_interrupt+0x2f/0x3c
[  219.312971] softirqs last  enabled at (18754): [<c045e0d0>] __do_softirq+0x120/0x350
[  219.312974] softirqs last disabled at (18757): [<c0418b85>] do_softirq+0xa5/0x100
[  219.312978] Pid: 1529, comm: 99video Tainted: G        W    3.6.0-0.rc6.git0.2.fc18.i686.PAE #1 Apple Computer, Inc. iMac6,1/Mac-F4218FC8
[  219.312980] EIP: 0060:[<c0a1ef7a>] EFLAGS: 00000296 CPU: 1
[  219.312982] EIP is at _raw_spin_unlock_irqrestore+0x3a/0x70
[  219.312983] EAX: 00000296 EBX: 00000296 ECX: 00000002 EDX: e9d8852c
[  219.312984] ESI: f604b9c0 EDI: 00000000 EBP: f397df00 ESP: f397def8
[  219.312985]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[  219.312987] CR0: 80050033 CR2: b773c000 CR3: 25d85000 CR4: 000007f0
[  219.312988] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[  219.312989] DR6: ffff0ff0 DR7: 00000400
[  219.312991] Process 99video (pid: 1529, ti=f397c000 task=e9d88000 task.ti=e9d72000)
[  219.312992] Stack:
[  219.312996]  f604b978 00000000 f397df2c c0855ab8 00000296 f604b9c0 f397df3a 0000080a
[  219.313000]  f604b840 0097df54 f604b840 f604b8b0 f3970000 f397df4c c0830845 c0465dc5
[  219.313004]  00000000 00000246 c0831090 f604b8b0 f3970000 f397df54 c083109d f397dfb8
[  219.313005] Call Trace:
[  219.313009]  [<c0855ab8>] uhci_hub_status_data+0x58/0x200
[  219.313014]  [<c0830845>] usb_hcd_poll_rh_status+0x45/0x130
[  219.313016]  [<c0465dc5>] ? run_timer_softirq+0xe5/0x560
[  219.313019]  [<c0831090>] ? usb_add_hcd+0x760/0x760
[  219.313021]  [<c083109d>] rh_timer_func+0xd/0x10
[  219.313023]  [<c0465e38>] run_timer_softirq+0x158/0x560
[  219.313025]  [<c0465dc5>] ? run_timer_softirq+0xe5/0x560
[  219.313028]  [<c0831090>] ? usb_add_hcd+0x760/0x760
[  219.313030]  [<c045e063>] __do_softirq+0xb3/0x350
[  219.313033]  [<c045dfb0>] ? local_bh_enable_ip+0xd0/0xd0
[  219.313035]  <IRQ> 
[  219.313036]  [<c045e5c5>] ? irq_exit+0xb5/0xc0
[  219.313040]  [<c0439b3e>] ? smp_apic_timer_interrupt+0x5e/0x90
[  219.313044]  [<c06dfc68>] ? trace_hardirqs_off_thunk+0xc/0x14
[  219.313046]  [<c0a1f5f2>] ? apic_timer_interrupt+0x36/0x3c
[  219.313061]  [<c071007b>] ? pciehp_sysfs_enable_slot+0x9b/0x100
[  219.313064]  [<c0a100d8>] ? acpi_processor_power_init+0xca/0x15b
[  219.313066]  [<c06e4cba>] ? iowrite8+0x3a/0x40
[  219.313088]  [<f8515f4e>] ? nouveau_hw_load_state_palette+0x8e/0xd0 [nouveau]
[  219.313109]  [<f8581c4c>] ? nv_crtc_gamma_load+0x7c/0x90 [nouveau]
[  219.313119]  [<f8381217>] ? drm_fb_helper_setcmap+0x1c7/0x2f0 [drm_kms_helper]
[  219.313123]  [<c0729561>] ? fbcon_switch+0x3e1/0x580
[  219.313131]  [<c071ea40>] ? fb_set_cmap+0x60/0x120
[  219.313134]  [<c07267c3>] ? fbcon_set_palette+0x143/0x170
[  219.313137]  [<c07994b6>] ? set_palette+0x36/0x60
[  219.313140]  [<c0799d67>] ? redraw_screen+0x137/0x1f0
[  219.313142]  [<c07275b0>] ? fbcon_event_notify+0x120/0x690
[  219.313146]  [<c0a22ab9>] ? notifier_call_chain+0x59/0x130
[  219.313149]  [<c0482a47>] ? __blocking_notifier_call_chain+0x57/0xb0
[  219.313152]  [<c0482abf>] ? blocking_notifier_call_chain+0x1f/0x30
[  219.313154]  [<c0719686>] ? fb_notifier_call_chain+0x16/0x20
[  219.313156]  [<c0719d6c>] ? fb_set_suspend+0x2c/0x60
[  219.313158]  [<c071f534>] ? store_fbstate+0x44/0x70
[  219.313160]  [<c071f4f0>] ? show_bpp+0x40/0x40
[  219.313164]  [<c07be793>] ? dev_attr_store+0x23/0x40
[  219.313167]  [<c05f1f33>] ? sysfs_write_file+0xa3/0x100
[  219.313169]  [<c05f1e90>] ? sysfs_schedule_callback_work+0x50/0x50
[  219.313172]  [<c05899cc>] ? vfs_write+0x8c/0x160
[  219.313175]  [<c05f1e90>] ? sysfs_schedule_callback_work+0x50/0x50
[  219.313177]  [<c0589cad>] ? sys_write+0x3d/0x70
[  219.313180]  [<c0a2675f>] ? sysenter_do_call+0x12/0x38
[  219.313205] Code: 66 90 8b 4d 04 89 c6 89 d3 8d 40 10 ba 01 00 00 00 e8 ab cc a9 ff 89 f0 e8 24 6c cc ff f6 c7 02 74 27 e8 7a d9 a9 ff 89 d8 50 9d <66> 66 66 90 89 e0 25 00 e0 ff ff 83 68 14 01 8b 5d f8 8b 75 fc
[  221.022348] [drm:output_poll_execute], [CONNECTOR:15:DVI-I-1] status updated from 2 to 2
[  221.022355] [drm:output_poll_execute], [CONNECTOR:17:TV-1] status updated from 2 to 2
[  224.615473] sky2 0000:02:00.0: eth0: enabling interface
[  224.620363] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  227.027601] sky2 0000:02:00.0: eth0: Link is up at 1000 Mbps, full duplex, flow control rx
[  227.027601] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  231.072344] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[  231.113056] [drm:output_poll_execute], [CONNECTOR:15:DVI-I-1] status updated from 2 to 2
[  231.113068] [drm:output_poll_execute], [CONNECTOR:17:TV-1] status updated from 2 to 2
[  241.152050] [drm:output_poll_execute], [CONNECTOR:11:VGA-1] status updated from 2 to 2
[  241.184050] [drm:output_poll_execute], [CONNECTOR:15:DVI-I-1] status updated from 2 to 2
[  241.184068] [drm:output_poll_execute], [CONNECTOR:17:TV-1] status updated from 2 to 2
Comment 1 Michele Baldessari 2012-09-25 14:29:41 EDT
Created attachment 617190 [details]
full dmesg
Comment 2 Michele Baldessari 2012-09-25 14:30:38 EDT
Created attachment 617191 [details]
vbios rom file
Comment 3 Adam Williamson 2012-10-03 01:19:40 EDT
Ben, #860584 and #860956 look very similar , but I'll leave it to you to close them as dupe if appropriate.
Comment 4 Martin 2013-06-11 12:30:14 EDT
Michele, are you able to reproduce it on latest Fedora 18 or 19?
Comment 5 Michele Baldessari 2013-06-11 14:08:49 EDT
Hi Martin,

I gave it a shot on F19 with 3.10.0-0.rc4.git0.2.fc20.i686.PAE and the following parameters: log_buf_len=1M drm.debug=14 nouveau.debug=0x0200

(in old kernels it was nouveau.reg_debug that's why I mentioned it. I hope it uses the same values as before, I haven't checked)

After having suspended, the resume seems to crash or somehow block the whole system. I'll try to set up kdump or netconsole and see if I get something useful.

It's absolutely a minor issue as this box is a desktop but maybe someone else is stumbling into it as well ;)
Comment 6 Michele Baldessari 2013-11-26 13:08:22 EST
I won't have this box again anytime soon so I can't test any current stuff.

Closing.

Note You need to log in before you can comment on or make changes to this bug.